# Interface VoidType

All Superinterfaces:
  `Mirror, Type`

public interface VoidType extends Type
The type of all primitive `void` values accessed in the target VM. Calls to `Value.type()` will return an implementor of this interface.

Since:
  1.3
See Also:
  - `VoidValue`

## Method Summary

### Methods declared in interface Mirror

`toString, virtualMachine`
Modifier and Type
Method
Description
`String`
`toString()`
Returns a String describing this mirror
`VirtualMachine`
`virtualMachine()`
Gets the VirtualMachine to which this Mirror belongs.

### Methods declared in interface Type

`name, signature`
Modifier and Type
Method
Description
`String`
`name()`
Returns the name of this type.
`String`
`signature()`
Returns the type signature for this type.